Bug 195992 - %{_libexecdir} complains on not architecture dependant binaries
%{_libexecdir} complains on not architecture dependant binaries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
https://www.redhat.com/archives/fedor...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-20 03:43 EDT by Chitlesh GOORAH
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.77-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-20 11:53:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2006-06-20 03:43:01 EDT
Description of problem:
In kadischi's spec file we added %{_libexecdir}/%{name}/find-live-cd
We were able to rpmbuild successfully.
But rpmlint complains the usage of %{_libexecdir} where it should accept it
without complainng.


Version-Release number of selected component (if applicable):
rpmlint-0.76-1.fc6

How reproducible:
eveytime

Steps to Reproduce:
1. rpmbuild -ba kadischi.spec
2. http://beta.glwb.info/kadischi.spec
http://beta.glwb.info/kadischi.tar.bz2
3. rpmlint -i kadischi-2.1-2.20060620cvs.i386.rpm
  
Actual results:
W: kadischi non-standard-dir-in-usr libexec
Your package is creating a non-standard subdirectory in /usr. The standard
directories are:
       -X11R6          -X386
       -bin            -games
       -include        -lib
       -local          -sbin
       -share          -src
       -spool          -tmp
       -lib64


Expected results:
No warnings.

Additional info:
From Toshio on Fedora Livecd Mailing List:
Fedora and the BSDs makes use of libexecdir.  FHS and most other linux
distributions do not.  If you look at how gnome panel applets are
placed, you'll see that upstream installs them to libexecdir.  Fedora
follows this.  Debian sets libexecdir to /usr/lib and installs the
applets there.

It's safe to install to libexecdir on Fedora.
Comment 1 Ville Skyttä 2006-06-20 11:53:17 EDT
rpmlint follows the FHS unless the Fedora packaging guidelines add specific
exceptions to it.  I don't think there is an exception for libexec, and many
packages have already been fixed to not use it.
Comment 2 Toshio Kuratomi 2006-06-20 13:07:37 EDT
I'll ask about libexecdir on the packaging list.  I think Ville's right that
there isn't a current exception for libexecdir but I've seen a number of reasons
for using it on the mailing lists.  The last email discussion I recall tailed
off when an @redhat person was going to push for libexecdir's inclusion in the
FHS without later followup (at least, according to the FHS mailing list archives.)

This might be the thread I remember.  It definitely has information about the
value of libexecdir:
http://thread.gmane.org/gmane.linux.redhat.fedora.devel/25433/
Comment 3 Ville Skyttä 2006-06-29 17:25:02 EDT
Fixed in 0.77-1 (by filtering the warning) per today's packaging committee meeting.

Note You need to log in before you can comment on or make changes to this bug.